| 1.0.2 API documentation

Typedefs
gtc/matrix_integer.hpp File Reference

GLM_GTC_matrix_integer More...

Go to the source code of this file.

## Typedefs
typedef mat< 2, 2, int, highp > | highp_imat2
| High-qualifier signed integer 2x2 matrix. More...
typedef mat< 3, 3, int, highp > | highp_imat3
| High-qualifier signed integer 3x3 matrix. More...
typedef mat< 4, 4, int, highp > | highp_imat4
| High-qualifier signed integer 4x4 matrix. More...
typedef mat< 2, 2, uint, highp > | highp_umat2
| High-qualifier unsigned integer 2x2 matrix. More...
typedef mat< 3, 3, uint, highp > | highp_umat3
| High-qualifier unsigned integer 3x3 matrix. More...
typedef mat< 4, 4, uint, highp > | highp_umat4
| High-qualifier unsigned integer 4x4 matrix. More...
typedef mat< 2, 2, int, lowp > | lowp_imat2
| Low-qualifier signed integer 2x2 matrix. More...
typedef mat< 3, 3, int, lowp > | lowp_imat3
| Low-qualifier signed integer 3x3 matrix. More...
typedef mat< 4, 4, int, lowp > | lowp_imat4
| Low-qualifier signed integer 4x4 matrix. More...
typedef mat< 2, 2, uint, lowp > | lowp_umat2
| Low-qualifier unsigned integer 2x2 matrix. More...
typedef mat< 3, 3, uint, lowp > | lowp_umat3
| Low-qualifier unsigned integer 3x3 matrix. More...
typedef mat< 4, 4, uint, lowp > | lowp_umat4
| Low-qualifier unsigned integer 4x4 matrix. More...
typedef mat< 2, 2, int, mediump > | mediump_imat2
| Medium-qualifier signed integer 2x2 matrix. More...
typedef mat< 3, 3, int, mediump > | mediump_imat3
| Medium-qualifier signed integer 3x3 matrix. More...
typedef mat< 4, 4, int, mediump > | mediump_imat4
| Medium-qualifier signed integer 4x4 matrix. More...
typedef mat< 2, 2, uint, mediump > | mediump_umat2
| Medium-qualifier unsigned integer 2x2 matrix. More...
typedef mat< 3, 3, uint, mediump > | mediump_umat3
| Medium-qualifier unsigned integer 3x3 matrix. More...
typedef mat< 4, 4, uint, mediump > | mediump_umat4
| Medium-qualifier unsigned integer 4x4 matrix. More...

## Detailed Description

GLM_GTC_matrix_integer

See also
  Core features (dependence)

Definition in file gtc/matrix_integer.hpp.